diff --git a/html/cgi-bin/ovpnmain.cgi b/html/cgi-bin/ovpnmain.cgi
index 457ebcf1f..e80ee23a7 100644
--- a/html/cgi-bin/ovpnmain.cgi
+++ b/html/cgi-bin/ovpnmain.cgi
@@ -890,7 +890,7 @@ if ($cgiparams{'ACTION'} eq $Lang::tr{'save-adv-options'}) {
 	undef $vpnsettings{'ROUTES_PUSH'};
 	&write_routepushfile;
     }
-    if ((length($cgiparams{'MAX_CLIENTS'}) == 0) || (($cgiparams{'MAX_CLIENTS'}) < 1 ) || (($cgiparams{'MAX_CLIENTS'}) > 255 )) {
+    if ((length($cgiparams{'MAX_CLIENTS'}) == 0) || (($cgiparams{'MAX_CLIENTS'}) < 1 ) || (($cgiparams{'MAX_CLIENTS'}) > 1024 )) {
         $errormessage = $Lang::tr{'invalid input for max clients'};
         goto ADV_ERROR;
     }
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index b01e75eb5..bcea33320 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -1457,7 +1457,7 @@
 'invalid input for keepalive 1:2' => 'Ungültige Eingabe für Keepalive (mindestens ein Verhältnis von 1:2)',
 'invalid input for keepalive 2' => 'Ungültige Eingabe für Keepalive ping-restart',
 'invalid input for local ip address' => 'Ungültige Eingabe für die lokale IP-Adresse',
-'invalid input for max clients' => 'Ungültige Eingabe für Max Clients',
+'invalid input for max clients' => 'Ungültige Eingabe für Max Clients. Das Maximum von 1024 Clients wurde überschritten',
 'invalid input for mode' => 'Ungültige Eingabe des Modus',
 'invalid input for name' => 'Ungültige Eingabe für vollen Namen des Benutzers oder des System Hostnamens',
 'invalid input for oink code' => 'Ungültige Eingabe für Oink Code',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 7e3bbec89..95ee46393 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -1481,7 +1481,7 @@
 'invalid input for keepalive 1:2' => 'Invalid input for Keepalive use at least a ratio of 1:2',
 'invalid input for keepalive 2' => 'Invalid input for Keepalive ping-restart',
 'invalid input for local ip address' => 'Invalid input for local IP address',
-'invalid input for max clients' => 'Invalid input for Max Clients',
+'invalid input for max clients' => 'Invalid input for Max Clients. The maximum of 1024 clients has been exceeded',
 'invalid input for mode' => 'Invalid input for mode',
 'invalid input for name' => 'Invalid input for user\'s full name or system hostname',
 'invalid input for oink code' => 'Invalid input for Oink code',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index c75a47324..8a611e181 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -980,7 +980,7 @@
 'invalid input for keepalive 1' => 'Entrada no válida para ping Keepalive',
 'invalid input for keepalive 1:2' => 'Entrada no válida para Keepalive, use por lo menos una relación 1:2',
 'invalid input for keepalive 2' => 'Entrada no válida para reinicio de ping Keepalive',
-'invalid input for max clients' => 'Entrada no válida para Máximo número de Clientes',
+'invalid input for max clients' => 'Entrada no válida para Máximo número de Clientes. Se superó el máximo de 1024 clientes.',
 'invalid input for name' => 'Entrada no válida para nombre completo de usuario o nombre de host del sistema',
 'invalid input for oink code' => 'Entrada no válida para código Oink',
 'invalid input for organization' => 'Entrada no válida para organización',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index d9930230f..fc19257bf 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -1487,7 +1487,7 @@
 'invalid input for keepalive 1:2' => 'Keepalive non valide, utilisez au minimum un ratio de 1:2',
 'invalid input for keepalive 2' => 'Redémarrage ping keepalive non valide',
 'invalid input for local ip address' => 'Entrée non valide pour l\'adresse IP locale',
-'invalid input for max clients' => 'Nombre de clients maximum non valide',
+'invalid input for max clients' => 'Nombre de clients maximum non valide. Le maximum de 1024 clients a été dépassé.',
 'invalid input for mode' => 'Entrée non valide pour le mode',
 'invalid input for name' => 'Mauvaise saisie pour le nom d\'utilisateur ou le nom d\'hôte du système',
 'invalid input for oink code' => 'Oink code non valide',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index 6c9137c28..fa4591b67 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -1298,7 +1298,7 @@
 'invalid input for keepalive 1' => 'Invalid input for Keepalive ping',
 'invalid input for keepalive 1:2' => 'Invalid input for Keepalive use at least a ratio of 1:2',
 'invalid input for keepalive 2' => 'Invalid input for Keepalive ping-restart',
-'invalid input for max clients' => 'Invalid input for Max Clients',
+'invalid input for max clients' => 'Invalid input for Max Clients. È stato superato il massimo di 1024 client.',
 'invalid input for name' => 'Invalid input for user\'s full name or system hostname',
 'invalid input for oink code' => 'Invalid input for Oink code',
 'invalid input for organization' => 'Invalid input for organization',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index 5fa89b1ac..4be11d5c1 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -1277,7 +1277,7 @@
 'invalid input for keepalive 1' => ' Ongeldige invoer voor keepalive ping',
 'invalid input for keepalive 1:2' => ' Ongeldige invoer voor keepalive gebruik tenminste een ratio van 1:2',
 'invalid input for keepalive 2' => ' Ongeldige invoer voor keepalive ping-herstart',
-'invalid input for max clients' => ' Ongeldige invoer voor max. clients',
+'invalid input for max clients' => ' Ongeldige invoer voor max. clients. Het maximum van 1024 clients is overschreden.',
 'invalid input for name' => ' Ongeldige invoer voor gebruikersnaam of systeemhostnaam',
 'invalid input for oink code' => ' Ongeldige invoer voor Oink code',
 'invalid input for organization' => ' Ongeldige invoer voor organisatie',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index 521381af2..e77120273 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -989,7 +989,7 @@
 'invalid input for keepalive 1' => 'Niepoprawna wartość w polu Keepalive ping',
 'invalid input for keepalive 1:2' => 'Niepoprawna wartość w polu Keepalive. Używaj min. współczynnika 1:2',
 'invalid input for keepalive 2' => 'Niepoprawna wartość w polu Keepalive ping-restart',
-'invalid input for max clients' => 'Niepoprawna wartość w polu Max Klientów',
+'invalid input for max clients' => 'Niepoprawna wartość w polu Max Klientów. Przekroczono maksymalną liczbę 1024 klientów.',
 'invalid input for name' => 'Niepoprawna wartość w polu pełna nazwa użytkownika lub nazwa hosta systemu',
 'invalid input for oink code' => 'Niepoprawny OINKCODE',
 'invalid input for organization' => 'Niepoprawna wartość w polu organizacja',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index 9ac46d459..29e6b5f93 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -982,7 +982,7 @@
 'invalid input for keepalive 1' => 'Неверно указан Keepalive ping.',
 'invalid input for keepalive 1:2' => 'Invalid input for Keepalive use at least a ratio of 1:2.',
 'invalid input for keepalive 2' => 'Неверно указан Keepalive ping-restart.',
-'invalid input for max clients' => 'Неверно указано максимальное число клиентов.',
+'invalid input for max clients' => 'Неверно указано максимальное число клиентов. Превышено максимально 1024 клиентов.',
 'invalid input for name' => 'Неверно указано полное имя пользователя или системное имя хоста.',
 'invalid input for oink code' => 'Неверно указан Oink code',
 'invalid input for organization' => 'Неверно указана организация',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index c23ff5df6..ea2047609 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -1415,7 +1415,7 @@
 'invalid input for keepalive 1' => 'Ping komutunu canlı tutma için geçersiz giriş.',
 'invalid input for keepalive 1:2' => '1:2 oranında, en az bir oranı canlı tutma kullanım için geçersiz giriş',
 'invalid input for keepalive 2' => 'Ping komutunu yeniden başlatmada canlı tutmak için geçersiz giriş.',
-'invalid input for max clients' => 'En fazla istemci için geçersiz giriş.',
+'invalid input for max clients' => 'En fazla istemci için geçersiz giriş. Maksimum 1024 müşteri aşıldı.',
 'invalid input for name' => 'Kullanıcının tam adı veya sistem ana bilgisayar adı için geçersiz giriş',
 'invalid input for oink code' => 'Oink kodu için geçersiz giriş.',
 'invalid input for organization' => 'Kuruluş için geçersiz giriş.',